   /*-----------------------------------------------------------.   
  /                      COLORMOD                               /
  '-----------------------------------------------------------*/

float4 ColormodPass( float4 colorInput )
{

	float3 color = colorInput.rgb;
	
	color.rgb = (color.rgb - dot(color.rgb, 0.333)) * ColormodChroma + dot(color.rgb, 0.333);
	color.rgb = saturate(color.rgb);
	color.r = (pow(color.r, ColormodGammaR) - 0.5) * ColormodContrastR + 0.5 + ColormodBrightnessR;
	color.g = (pow(color.g, ColormodGammaG) - 0.5) * ColormodContrastG + 0.5 + ColormodBrightnessB;
	color.b = (pow(color.b, ColormodGammaB) - 0.5) * ColormodContrastB + 0.5 + ColormodBrightnessB;

	colorInput.rgb = color;
return colorInput;
}